[ECOS] GCC 3.2.x ECOS patch

Bart Veer bartv@ecoscentric.com
Thu Mar 13 16:33:00 GMT 2003


>>>>> "Mike" == Talley, Mike <MTalley@carrieraccess.com> writes:

    Mike> Is it necessary to patch a GCC version 3.2.2 for the latest
    Mike> ECOS from cvs? My platforms of interest are MPC8xx and
    Mike> MPC82xx.

    Mike> Forgive me if this was stated earlier in the discussion
    Mike> history I did not find specific reference in a search for
    Mike> GCC patches.

Right now the officially recommended version of PowerPC gcc is still
2.95.2, as per the installation instructions on
sources.redhat.com/ecos. However for the upcoming 2.0beta release we
have been testing with gcc 3.2.1/binutils 2.13.1/gdb 5.3, and for
PowerPC that seems to work fine without patches. Earlier 3.x.y
versions of gcc cannot be used for eCos because of a generic gcc bug.
I have not tried 3.2.2 for PowerPC yet. There is definitely a problem
with 3.2.2 and the i386-elf target, but that particular problem won't
affect powerpc-eabi.

Bart

-- 
Bart Veer                       eCos Configuration Architect
http://www.ecoscentric.com/     The eCos and RedBoot experts

-- 
Before posting, please read the FAQ: http://sources.redhat.com/fom/ecos
and search the list archive: http://sources.redhat.com/ml/ecos-discuss



More information about the Ecos-discuss mailing list